Makefile.in

Wed, 31 May 2017 12:22:36 +0200

author
Mike Becker <universe@uap-core.de>
date
Wed, 31 May 2017 12:22:36 +0200
changeset 49
08b780ecc611
permissions
-rw-r--r--

adds *.in files

universe@49 1 # Makefile.in generated by automake 1.13.4 from Makefile.am.
universe@49 2 # @configure_input@
universe@49 3
universe@49 4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
universe@49 5
universe@49 6 # This Makefile.in is free software; the Free Software Foundation
universe@49 7 # gives unlimited permission to copy and/or distribute it,
universe@49 8 # with or without modifications, as long as this notice is preserved.
universe@49 9
universe@49 10 # This program is distributed in the hope that it will be useful,
universe@49 11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
universe@49 12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
universe@49 13 # PARTICULAR PURPOSE.
universe@49 14
universe@49 15 @SET_MAKE@
universe@49 16
universe@49 17 # Copyright 2017 Mike Becker. All rights reserved.
universe@49 18 #
universe@49 19 # Redistribution and use in source and binary forms, with or without
universe@49 20 # modification, are permitted provided that the following conditions are met:
universe@49 21 #
universe@49 22 # 1. Redistributions of source code must retain the above copyright
universe@49 23 # notice, this list of conditions and the following disclaimer.
universe@49 24 #
universe@49 25 # 2. Redistributions in binary form must reproduce the above copyright
universe@49 26 # notice, this list of conditions and the following disclaimer in the
universe@49 27 # documentation and/or other materials provided with the distribution.
universe@49 28 #
universe@49 29 # THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
universe@49 30 # AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
universe@49 31 # IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
universe@49 32 # DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
universe@49 33 # FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
universe@49 34 # DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
universe@49 35 # SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
universe@49 36 # CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
universe@49 37 # OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
universe@49 38 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
universe@49 39 VPATH = @srcdir@
universe@49 40 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
universe@49 41 am__make_running_with_option = \
universe@49 42 case $${target_option-} in \
universe@49 43 ?) ;; \
universe@49 44 *) echo "am__make_running_with_option: internal error: invalid" \
universe@49 45 "target option '$${target_option-}' specified" >&2; \
universe@49 46 exit 1;; \
universe@49 47 esac; \
universe@49 48 has_opt=no; \
universe@49 49 sane_makeflags=$$MAKEFLAGS; \
universe@49 50 if $(am__is_gnu_make); then \
universe@49 51 sane_makeflags=$$MFLAGS; \
universe@49 52 else \
universe@49 53 case $$MAKEFLAGS in \
universe@49 54 *\\[\ \ ]*) \
universe@49 55 bs=\\; \
universe@49 56 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
universe@49 57 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
universe@49 58 esac; \
universe@49 59 fi; \
universe@49 60 skip_next=no; \
universe@49 61 strip_trailopt () \
universe@49 62 { \
universe@49 63 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
universe@49 64 }; \
universe@49 65 for flg in $$sane_makeflags; do \
universe@49 66 test $$skip_next = yes && { skip_next=no; continue; }; \
universe@49 67 case $$flg in \
universe@49 68 *=*|--*) continue;; \
universe@49 69 -*I) strip_trailopt 'I'; skip_next=yes;; \
universe@49 70 -*I?*) strip_trailopt 'I';; \
universe@49 71 -*O) strip_trailopt 'O'; skip_next=yes;; \
universe@49 72 -*O?*) strip_trailopt 'O';; \
universe@49 73 -*l) strip_trailopt 'l'; skip_next=yes;; \
universe@49 74 -*l?*) strip_trailopt 'l';; \
universe@49 75 -[dEDm]) skip_next=yes;; \
universe@49 76 -[JT]) skip_next=yes;; \
universe@49 77 esac; \
universe@49 78 case $$flg in \
universe@49 79 *$$target_option*) has_opt=yes; break;; \
universe@49 80 esac; \
universe@49 81 done; \
universe@49 82 test $$has_opt = yes
universe@49 83 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
universe@49 84 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
universe@49 85 pkgdatadir = $(datadir)/@PACKAGE@
universe@49 86 pkgincludedir = $(includedir)/@PACKAGE@
universe@49 87 pkglibdir = $(libdir)/@PACKAGE@
universe@49 88 pkglibexecdir = $(libexecdir)/@PACKAGE@
universe@49 89 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
universe@49 90 install_sh_DATA = $(install_sh) -c -m 644
universe@49 91 install_sh_PROGRAM = $(install_sh) -c
universe@49 92 install_sh_SCRIPT = $(install_sh) -c
universe@49 93 INSTALL_HEADER = $(INSTALL_DATA)
universe@49 94 transform = $(program_transform_name)
universe@49 95 NORMAL_INSTALL = :
universe@49 96 PRE_INSTALL = :
universe@49 97 POST_INSTALL = :
universe@49 98 NORMAL_UNINSTALL = :
universe@49 99 PRE_UNINSTALL = :
universe@49 100 POST_UNINSTALL = :
universe@49 101 subdir = .
universe@49 102 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
universe@49 103 $(top_srcdir)/configure $(am__configure_deps) \
universe@49 104 $(srcdir)/config.h.in README depcomp install-sh missing
universe@49 105 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
universe@49 106 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
universe@49 107 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
universe@49 108 $(ACLOCAL_M4)
universe@49 109 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
universe@49 110 configure.lineno config.status.lineno
universe@49 111 mkinstalldirs = $(install_sh) -d
universe@49 112 CONFIG_HEADER = config.h
universe@49 113 CONFIG_CLEAN_FILES =
universe@49 114 CONFIG_CLEAN_VPATH_FILES =
universe@49 115 AM_V_P = $(am__v_P_@AM_V@)
universe@49 116 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
universe@49 117 am__v_P_0 = false
universe@49 118 am__v_P_1 = :
universe@49 119 AM_V_GEN = $(am__v_GEN_@AM_V@)
universe@49 120 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
universe@49 121 am__v_GEN_0 = @echo " GEN " $@;
universe@49 122 am__v_GEN_1 =
universe@49 123 AM_V_at = $(am__v_at_@AM_V@)
universe@49 124 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
universe@49 125 am__v_at_0 = @
universe@49 126 am__v_at_1 =
universe@49 127 SOURCES =
universe@49 128 DIST_SOURCES =
universe@49 129 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
universe@49 130 ctags-recursive dvi-recursive html-recursive info-recursive \
universe@49 131 install-data-recursive install-dvi-recursive \
universe@49 132 install-exec-recursive install-html-recursive \
universe@49 133 install-info-recursive install-pdf-recursive \
universe@49 134 install-ps-recursive install-recursive installcheck-recursive \
universe@49 135 installdirs-recursive pdf-recursive ps-recursive \
universe@49 136 tags-recursive uninstall-recursive
universe@49 137 am__can_run_installinfo = \
universe@49 138 case $$AM_UPDATE_INFO_DIR in \
universe@49 139 n|no|NO) false;; \
universe@49 140 *) (install-info --version) >/dev/null 2>&1;; \
universe@49 141 esac
universe@49 142 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
universe@49 143 distclean-recursive maintainer-clean-recursive
universe@49 144 am__recursive_targets = \
universe@49 145 $(RECURSIVE_TARGETS) \
universe@49 146 $(RECURSIVE_CLEAN_TARGETS) \
universe@49 147 $(am__extra_recursive_targets)
universe@49 148 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
universe@49 149 cscope distdir dist dist-all distcheck
universe@49 150 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
universe@49 151 $(LISP)config.h.in
universe@49 152 # Read a list of newline-separated strings from the standard input,
universe@49 153 # and print each of them once, without duplicates. Input order is
universe@49 154 # *not* preserved.
universe@49 155 am__uniquify_input = $(AWK) '\
universe@49 156 BEGIN { nonempty = 0; } \
universe@49 157 { items[$$0] = 1; nonempty = 1; } \
universe@49 158 END { if (nonempty) { for (i in items) print i; }; } \
universe@49 159 '
universe@49 160 # Make sure the list of sources is unique. This is necessary because,
universe@49 161 # e.g., the same source file might be shared among _SOURCES variables
universe@49 162 # for different programs/libraries.
universe@49 163 am__define_uniq_tagged_files = \
universe@49 164 list='$(am__tagged_files)'; \
universe@49 165 unique=`for i in $$list; do \
universe@49 166 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
universe@49 167 done | $(am__uniquify_input)`
universe@49 168 ETAGS = etags
universe@49 169 CTAGS = ctags
universe@49 170 CSCOPE = cscope
universe@49 171 DIST_SUBDIRS = $(SUBDIRS)
universe@49 172 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
universe@49 173 distdir = $(PACKAGE)-$(VERSION)
universe@49 174 top_distdir = $(distdir)
universe@49 175 am__remove_distdir = \
universe@49 176 if test -d "$(distdir)"; then \
universe@49 177 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
universe@49 178 && rm -rf "$(distdir)" \
universe@49 179 || { sleep 5 && rm -rf "$(distdir)"; }; \
universe@49 180 else :; fi
universe@49 181 am__post_remove_distdir = $(am__remove_distdir)
universe@49 182 am__relativize = \
universe@49 183 dir0=`pwd`; \
universe@49 184 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
universe@49 185 sed_rest='s,^[^/]*/*,,'; \
universe@49 186 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
universe@49 187 sed_butlast='s,/*[^/]*$$,,'; \
universe@49 188 while test -n "$$dir1"; do \
universe@49 189 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
universe@49 190 if test "$$first" != "."; then \
universe@49 191 if test "$$first" = ".."; then \
universe@49 192 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
universe@49 193 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
universe@49 194 else \
universe@49 195 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
universe@49 196 if test "$$first2" = "$$first"; then \
universe@49 197 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
universe@49 198 else \
universe@49 199 dir2="../$$dir2"; \
universe@49 200 fi; \
universe@49 201 dir0="$$dir0"/"$$first"; \
universe@49 202 fi; \
universe@49 203 fi; \
universe@49 204 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
universe@49 205 done; \
universe@49 206 reldir="$$dir2"
universe@49 207 DIST_ARCHIVES = $(distdir).tar.gz
universe@49 208 GZIP_ENV = --best
universe@49 209 DIST_TARGETS = dist-gzip
universe@49 210 distuninstallcheck_listfiles = find . -type f -print
universe@49 211 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
universe@49 212 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
universe@49 213 distcleancheck_listfiles = find . -type f -print
universe@49 214 ACLOCAL = @ACLOCAL@
universe@49 215 AMTAR = @AMTAR@
universe@49 216 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
universe@49 217 AUTOCONF = @AUTOCONF@
universe@49 218 AUTOHEADER = @AUTOHEADER@
universe@49 219 AUTOMAKE = @AUTOMAKE@
universe@49 220 AWK = @AWK@
universe@49 221 CC = @CC@
universe@49 222 CCDEPMODE = @CCDEPMODE@
universe@49 223 CFLAGS = @CFLAGS@
universe@49 224 CPP = @CPP@
universe@49 225 CPPFLAGS = @CPPFLAGS@
universe@49 226 CYGPATH_W = @CYGPATH_W@
universe@49 227 DEFS = @DEFS@
universe@49 228 DEPDIR = @DEPDIR@
universe@49 229 ECHO_C = @ECHO_C@
universe@49 230 ECHO_N = @ECHO_N@
universe@49 231 ECHO_T = @ECHO_T@
universe@49 232 EGREP = @EGREP@
universe@49 233 EXEEXT = @EXEEXT@
universe@49 234 GREP = @GREP@
universe@49 235 INSTALL = @INSTALL@
universe@49 236 INSTALL_DATA = @INSTALL_DATA@
universe@49 237 INSTALL_PROGRAM = @INSTALL_PROGRAM@
universe@49 238 INSTALL_SCRIPT = @INSTALL_SCRIPT@
universe@49 239 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
universe@49 240 LDFLAGS = @LDFLAGS@
universe@49 241 LIBOBJS = @LIBOBJS@
universe@49 242 LIBS = @LIBS@
universe@49 243 LTLIBOBJS = @LTLIBOBJS@
universe@49 244 MAKEINFO = @MAKEINFO@
universe@49 245 MKDIR_P = @MKDIR_P@
universe@49 246 OBJEXT = @OBJEXT@
universe@49 247 PACKAGE = @PACKAGE@
universe@49 248 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
universe@49 249 PACKAGE_NAME = @PACKAGE_NAME@
universe@49 250 PACKAGE_STRING = @PACKAGE_STRING@
universe@49 251 PACKAGE_TARNAME = @PACKAGE_TARNAME@
universe@49 252 PACKAGE_URL = @PACKAGE_URL@
universe@49 253 PACKAGE_VERSION = @PACKAGE_VERSION@
universe@49 254 PATH_SEPARATOR = @PATH_SEPARATOR@
universe@49 255 SET_MAKE = @SET_MAKE@
universe@49 256 SHELL = @SHELL@
universe@49 257 STRIP = @STRIP@
universe@49 258 VERSION = @VERSION@
universe@49 259 abs_builddir = @abs_builddir@
universe@49 260 abs_srcdir = @abs_srcdir@
universe@49 261 abs_top_builddir = @abs_top_builddir@
universe@49 262 abs_top_srcdir = @abs_top_srcdir@
universe@49 263 ac_ct_CC = @ac_ct_CC@
universe@49 264 am__include = @am__include@
universe@49 265 am__leading_dot = @am__leading_dot@
universe@49 266 am__quote = @am__quote@
universe@49 267 am__tar = @am__tar@
universe@49 268 am__untar = @am__untar@
universe@49 269 bindir = @bindir@
universe@49 270 build_alias = @build_alias@
universe@49 271 builddir = @builddir@
universe@49 272 datadir = @datadir@
universe@49 273 datarootdir = @datarootdir@
universe@49 274 docdir = @docdir@
universe@49 275 dvidir = @dvidir@
universe@49 276 exec_prefix = @exec_prefix@
universe@49 277 host_alias = @host_alias@
universe@49 278 htmldir = @htmldir@
universe@49 279 includedir = @includedir@
universe@49 280 infodir = @infodir@
universe@49 281 install_sh = @install_sh@
universe@49 282 libdir = @libdir@
universe@49 283 libexecdir = @libexecdir@
universe@49 284 localedir = @localedir@
universe@49 285 localstatedir = @localstatedir@
universe@49 286 mandir = @mandir@
universe@49 287 mkdir_p = @mkdir_p@
universe@49 288 oldincludedir = @oldincludedir@
universe@49 289 pdfdir = @pdfdir@
universe@49 290 prefix = @prefix@
universe@49 291 program_transform_name = @program_transform_name@
universe@49 292 psdir = @psdir@
universe@49 293 sbindir = @sbindir@
universe@49 294 sharedstatedir = @sharedstatedir@
universe@49 295 srcdir = @srcdir@
universe@49 296 sysconfdir = @sysconfdir@
universe@49 297 target_alias = @target_alias@
universe@49 298 top_build_prefix = @top_build_prefix@
universe@49 299 top_builddir = @top_builddir@
universe@49 300 top_srcdir = @top_srcdir@
universe@49 301 AUTOMAKE_OPTIONS = foreign
universe@49 302 SUBDIRS = src
universe@49 303 all: config.h
universe@49 304 $(MAKE) $(AM_MAKEFLAGS) all-recursive
universe@49 305
universe@49 306 .SUFFIXES:
universe@49 307 am--refresh: Makefile
universe@49 308 @:
universe@49 309 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
universe@49 310 @for dep in $?; do \
universe@49 311 case '$(am__configure_deps)' in \
universe@49 312 *$$dep*) \
universe@49 313 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
universe@49 314 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
universe@49 315 && exit 0; \
universe@49 316 exit 1;; \
universe@49 317 esac; \
universe@49 318 done; \
universe@49 319 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
universe@49 320 $(am__cd) $(top_srcdir) && \
universe@49 321 $(AUTOMAKE) --foreign Makefile
universe@49 322 .PRECIOUS: Makefile
universe@49 323 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
universe@49 324 @case '$?' in \
universe@49 325 *config.status*) \
universe@49 326 echo ' $(SHELL) ./config.status'; \
universe@49 327 $(SHELL) ./config.status;; \
universe@49 328 *) \
universe@49 329 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
universe@49 330 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
universe@49 331 esac;
universe@49 332
universe@49 333 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
universe@49 334 $(SHELL) ./config.status --recheck
universe@49 335
universe@49 336 $(top_srcdir)/configure: $(am__configure_deps)
universe@49 337 $(am__cd) $(srcdir) && $(AUTOCONF)
universe@49 338 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
universe@49 339 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
universe@49 340 $(am__aclocal_m4_deps):
universe@49 341
universe@49 342 config.h: stamp-h1
universe@49 343 @if test ! -f $@; then rm -f stamp-h1; else :; fi
universe@49 344 @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
universe@49 345
universe@49 346 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
universe@49 347 @rm -f stamp-h1
universe@49 348 cd $(top_builddir) && $(SHELL) ./config.status config.h
universe@49 349 $(srcdir)/config.h.in: $(am__configure_deps)
universe@49 350 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
universe@49 351 rm -f stamp-h1
universe@49 352 touch $@
universe@49 353
universe@49 354 distclean-hdr:
universe@49 355 -rm -f config.h stamp-h1
universe@49 356
universe@49 357 # This directory's subdirectories are mostly independent; you can cd
universe@49 358 # into them and run 'make' without going through this Makefile.
universe@49 359 # To change the values of 'make' variables: instead of editing Makefiles,
universe@49 360 # (1) if the variable is set in 'config.status', edit 'config.status'
universe@49 361 # (which will cause the Makefiles to be regenerated when you run 'make');
universe@49 362 # (2) otherwise, pass the desired values on the 'make' command line.
universe@49 363 $(am__recursive_targets):
universe@49 364 @fail=; \
universe@49 365 if $(am__make_keepgoing); then \
universe@49 366 failcom='fail=yes'; \
universe@49 367 else \
universe@49 368 failcom='exit 1'; \
universe@49 369 fi; \
universe@49 370 dot_seen=no; \
universe@49 371 target=`echo $@ | sed s/-recursive//`; \
universe@49 372 case "$@" in \
universe@49 373 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
universe@49 374 *) list='$(SUBDIRS)' ;; \
universe@49 375 esac; \
universe@49 376 for subdir in $$list; do \
universe@49 377 echo "Making $$target in $$subdir"; \
universe@49 378 if test "$$subdir" = "."; then \
universe@49 379 dot_seen=yes; \
universe@49 380 local_target="$$target-am"; \
universe@49 381 else \
universe@49 382 local_target="$$target"; \
universe@49 383 fi; \
universe@49 384 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
universe@49 385 || eval $$failcom; \
universe@49 386 done; \
universe@49 387 if test "$$dot_seen" = "no"; then \
universe@49 388 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
universe@49 389 fi; test -z "$$fail"
universe@49 390
universe@49 391 ID: $(am__tagged_files)
universe@49 392 $(am__define_uniq_tagged_files); mkid -fID $$unique
universe@49 393 tags: tags-recursive
universe@49 394 TAGS: tags
universe@49 395
universe@49 396 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
universe@49 397 set x; \
universe@49 398 here=`pwd`; \
universe@49 399 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
universe@49 400 include_option=--etags-include; \
universe@49 401 empty_fix=.; \
universe@49 402 else \
universe@49 403 include_option=--include; \
universe@49 404 empty_fix=; \
universe@49 405 fi; \
universe@49 406 list='$(SUBDIRS)'; for subdir in $$list; do \
universe@49 407 if test "$$subdir" = .; then :; else \
universe@49 408 test ! -f $$subdir/TAGS || \
universe@49 409 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
universe@49 410 fi; \
universe@49 411 done; \
universe@49 412 $(am__define_uniq_tagged_files); \
universe@49 413 shift; \
universe@49 414 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
universe@49 415 test -n "$$unique" || unique=$$empty_fix; \
universe@49 416 if test $$# -gt 0; then \
universe@49 417 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
universe@49 418 "$$@" $$unique; \
universe@49 419 else \
universe@49 420 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
universe@49 421 $$unique; \
universe@49 422 fi; \
universe@49 423 fi
universe@49 424 ctags: ctags-recursive
universe@49 425
universe@49 426 CTAGS: ctags
universe@49 427 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
universe@49 428 $(am__define_uniq_tagged_files); \
universe@49 429 test -z "$(CTAGS_ARGS)$$unique" \
universe@49 430 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
universe@49 431 $$unique
universe@49 432
universe@49 433 GTAGS:
universe@49 434 here=`$(am__cd) $(top_builddir) && pwd` \
universe@49 435 && $(am__cd) $(top_srcdir) \
universe@49 436 && gtags -i $(GTAGS_ARGS) "$$here"
universe@49 437 cscope: cscope.files
universe@49 438 test ! -s cscope.files \
universe@49 439 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
universe@49 440 clean-cscope:
universe@49 441 -rm -f cscope.files
universe@49 442 cscope.files: clean-cscope cscopelist
universe@49 443 cscopelist: cscopelist-recursive
universe@49 444
universe@49 445 cscopelist-am: $(am__tagged_files)
universe@49 446 list='$(am__tagged_files)'; \
universe@49 447 case "$(srcdir)" in \
universe@49 448 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
universe@49 449 *) sdir=$(subdir)/$(srcdir) ;; \
universe@49 450 esac; \
universe@49 451 for i in $$list; do \
universe@49 452 if test -f "$$i"; then \
universe@49 453 echo "$(subdir)/$$i"; \
universe@49 454 else \
universe@49 455 echo "$$sdir/$$i"; \
universe@49 456 fi; \
universe@49 457 done >> $(top_builddir)/cscope.files
universe@49 458
universe@49 459 distclean-tags:
universe@49 460 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
universe@49 461 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
universe@49 462
universe@49 463 distdir: $(DISTFILES)
universe@49 464 $(am__remove_distdir)
universe@49 465 test -d "$(distdir)" || mkdir "$(distdir)"
universe@49 466 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
universe@49 467 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
universe@49 468 list='$(DISTFILES)'; \
universe@49 469 dist_files=`for file in $$list; do echo $$file; done | \
universe@49 470 sed -e "s|^$$srcdirstrip/||;t" \
universe@49 471 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
universe@49 472 case $$dist_files in \
universe@49 473 */*) $(MKDIR_P) `echo "$$dist_files" | \
universe@49 474 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
universe@49 475 sort -u` ;; \
universe@49 476 esac; \
universe@49 477 for file in $$dist_files; do \
universe@49 478 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
universe@49 479 if test -d $$d/$$file; then \
universe@49 480 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
universe@49 481 if test -d "$(distdir)/$$file"; then \
universe@49 482 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
universe@49 483 fi; \
universe@49 484 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
universe@49 485 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
universe@49 486 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
universe@49 487 fi; \
universe@49 488 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
universe@49 489 else \
universe@49 490 test -f "$(distdir)/$$file" \
universe@49 491 || cp -p $$d/$$file "$(distdir)/$$file" \
universe@49 492 || exit 1; \
universe@49 493 fi; \
universe@49 494 done
universe@49 495 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
universe@49 496 if test "$$subdir" = .; then :; else \
universe@49 497 $(am__make_dryrun) \
universe@49 498 || test -d "$(distdir)/$$subdir" \
universe@49 499 || $(MKDIR_P) "$(distdir)/$$subdir" \
universe@49 500 || exit 1; \
universe@49 501 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
universe@49 502 $(am__relativize); \
universe@49 503 new_distdir=$$reldir; \
universe@49 504 dir1=$$subdir; dir2="$(top_distdir)"; \
universe@49 505 $(am__relativize); \
universe@49 506 new_top_distdir=$$reldir; \
universe@49 507 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
universe@49 508 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
universe@49 509 ($(am__cd) $$subdir && \
universe@49 510 $(MAKE) $(AM_MAKEFLAGS) \
universe@49 511 top_distdir="$$new_top_distdir" \
universe@49 512 distdir="$$new_distdir" \
universe@49 513 am__remove_distdir=: \
universe@49 514 am__skip_length_check=: \
universe@49 515 am__skip_mode_fix=: \
universe@49 516 distdir) \
universe@49 517 || exit 1; \
universe@49 518 fi; \
universe@49 519 done
universe@49 520 -test -n "$(am__skip_mode_fix)" \
universe@49 521 || find "$(distdir)" -type d ! -perm -755 \
universe@49 522 -exec chmod u+rwx,go+rx {} \; -o \
universe@49 523 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
universe@49 524 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
universe@49 525 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
universe@49 526 || chmod -R a+r "$(distdir)"
universe@49 527 dist-gzip: distdir
universe@49 528 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
universe@49 529 $(am__post_remove_distdir)
universe@49 530
universe@49 531 dist-bzip2: distdir
universe@49 532 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
universe@49 533 $(am__post_remove_distdir)
universe@49 534
universe@49 535 dist-lzip: distdir
universe@49 536 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
universe@49 537 $(am__post_remove_distdir)
universe@49 538
universe@49 539 dist-xz: distdir
universe@49 540 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
universe@49 541 $(am__post_remove_distdir)
universe@49 542
universe@49 543 dist-tarZ: distdir
universe@49 544 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
universe@49 545 $(am__post_remove_distdir)
universe@49 546
universe@49 547 dist-shar: distdir
universe@49 548 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
universe@49 549 $(am__post_remove_distdir)
universe@49 550
universe@49 551 dist-zip: distdir
universe@49 552 -rm -f $(distdir).zip
universe@49 553 zip -rq $(distdir).zip $(distdir)
universe@49 554 $(am__post_remove_distdir)
universe@49 555
universe@49 556 dist dist-all:
universe@49 557 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
universe@49 558 $(am__post_remove_distdir)
universe@49 559
universe@49 560 # This target untars the dist file and tries a VPATH configuration. Then
universe@49 561 # it guarantees that the distribution is self-contained by making another
universe@49 562 # tarfile.
universe@49 563 distcheck: dist
universe@49 564 case '$(DIST_ARCHIVES)' in \
universe@49 565 *.tar.gz*) \
universe@49 566 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
universe@49 567 *.tar.bz2*) \
universe@49 568 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
universe@49 569 *.tar.lz*) \
universe@49 570 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
universe@49 571 *.tar.xz*) \
universe@49 572 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
universe@49 573 *.tar.Z*) \
universe@49 574 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
universe@49 575 *.shar.gz*) \
universe@49 576 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
universe@49 577 *.zip*) \
universe@49 578 unzip $(distdir).zip ;;\
universe@49 579 esac
universe@49 580 chmod -R a-w $(distdir)
universe@49 581 chmod u+w $(distdir)
universe@49 582 mkdir $(distdir)/_build $(distdir)/_inst
universe@49 583 chmod a-w $(distdir)
universe@49 584 test -d $(distdir)/_build || exit 0; \
universe@49 585 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
universe@49 586 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
universe@49 587 && am__cwd=`pwd` \
universe@49 588 && $(am__cd) $(distdir)/_build \
universe@49 589 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
universe@49 590 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
universe@49 591 $(DISTCHECK_CONFIGURE_FLAGS) \
universe@49 592 && $(MAKE) $(AM_MAKEFLAGS) \
universe@49 593 && $(MAKE) $(AM_MAKEFLAGS) dvi \
universe@49 594 && $(MAKE) $(AM_MAKEFLAGS) check \
universe@49 595 && $(MAKE) $(AM_MAKEFLAGS) install \
universe@49 596 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
universe@49 597 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
universe@49 598 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
universe@49 599 distuninstallcheck \
universe@49 600 && chmod -R a-w "$$dc_install_base" \
universe@49 601 && ({ \
universe@49 602 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
universe@49 603 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
universe@49 604 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
universe@49 605 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
universe@49 606 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
universe@49 607 } || { rm -rf "$$dc_destdir"; exit 1; }) \
universe@49 608 && rm -rf "$$dc_destdir" \
universe@49 609 && $(MAKE) $(AM_MAKEFLAGS) dist \
universe@49 610 && rm -rf $(DIST_ARCHIVES) \
universe@49 611 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
universe@49 612 && cd "$$am__cwd" \
universe@49 613 || exit 1
universe@49 614 $(am__post_remove_distdir)
universe@49 615 @(echo "$(distdir) archives ready for distribution: "; \
universe@49 616 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
universe@49 617 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
universe@49 618 distuninstallcheck:
universe@49 619 @test -n '$(distuninstallcheck_dir)' || { \
universe@49 620 echo 'ERROR: trying to run $@ with an empty' \
universe@49 621 '$$(distuninstallcheck_dir)' >&2; \
universe@49 622 exit 1; \
universe@49 623 }; \
universe@49 624 $(am__cd) '$(distuninstallcheck_dir)' || { \
universe@49 625 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
universe@49 626 exit 1; \
universe@49 627 }; \
universe@49 628 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
universe@49 629 || { echo "ERROR: files left after uninstall:" ; \
universe@49 630 if test -n "$(DESTDIR)"; then \
universe@49 631 echo " (check DESTDIR support)"; \
universe@49 632 fi ; \
universe@49 633 $(distuninstallcheck_listfiles) ; \
universe@49 634 exit 1; } >&2
universe@49 635 distcleancheck: distclean
universe@49 636 @if test '$(srcdir)' = . ; then \
universe@49 637 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
universe@49 638 exit 1 ; \
universe@49 639 fi
universe@49 640 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
universe@49 641 || { echo "ERROR: files left in build directory after distclean:" ; \
universe@49 642 $(distcleancheck_listfiles) ; \
universe@49 643 exit 1; } >&2
universe@49 644 check-am: all-am
universe@49 645 check: check-recursive
universe@49 646 all-am: Makefile config.h
universe@49 647 installdirs: installdirs-recursive
universe@49 648 installdirs-am:
universe@49 649 install: install-recursive
universe@49 650 install-exec: install-exec-recursive
universe@49 651 install-data: install-data-recursive
universe@49 652 uninstall: uninstall-recursive
universe@49 653
universe@49 654 install-am: all-am
universe@49 655 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
universe@49 656
universe@49 657 installcheck: installcheck-recursive
universe@49 658 install-strip:
universe@49 659 if test -z '$(STRIP)'; then \
universe@49 660 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
universe@49 661 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
universe@49 662 install; \
universe@49 663 else \
universe@49 664 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
universe@49 665 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
universe@49 666 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
universe@49 667 fi
universe@49 668 mostlyclean-generic:
universe@49 669
universe@49 670 clean-generic:
universe@49 671
universe@49 672 distclean-generic:
universe@49 673 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
universe@49 674 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
universe@49 675
universe@49 676 maintainer-clean-generic:
universe@49 677 @echo "This command is intended for maintainers to use"
universe@49 678 @echo "it deletes files that may require special tools to rebuild."
universe@49 679 clean: clean-recursive
universe@49 680
universe@49 681 clean-am: clean-generic mostlyclean-am
universe@49 682
universe@49 683 distclean: distclean-recursive
universe@49 684 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
universe@49 685 -rm -f Makefile
universe@49 686 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
universe@49 687
universe@49 688 dvi: dvi-recursive
universe@49 689
universe@49 690 dvi-am:
universe@49 691
universe@49 692 html: html-recursive
universe@49 693
universe@49 694 html-am:
universe@49 695
universe@49 696 info: info-recursive
universe@49 697
universe@49 698 info-am:
universe@49 699
universe@49 700 install-data-am:
universe@49 701
universe@49 702 install-dvi: install-dvi-recursive
universe@49 703
universe@49 704 install-dvi-am:
universe@49 705
universe@49 706 install-exec-am:
universe@49 707
universe@49 708 install-html: install-html-recursive
universe@49 709
universe@49 710 install-html-am:
universe@49 711
universe@49 712 install-info: install-info-recursive
universe@49 713
universe@49 714 install-info-am:
universe@49 715
universe@49 716 install-man:
universe@49 717
universe@49 718 install-pdf: install-pdf-recursive
universe@49 719
universe@49 720 install-pdf-am:
universe@49 721
universe@49 722 install-ps: install-ps-recursive
universe@49 723
universe@49 724 install-ps-am:
universe@49 725
universe@49 726 installcheck-am:
universe@49 727
universe@49 728 maintainer-clean: maintainer-clean-recursive
universe@49 729 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
universe@49 730 -rm -rf $(top_srcdir)/autom4te.cache
universe@49 731 -rm -f Makefile
universe@49 732 maintainer-clean-am: distclean-am maintainer-clean-generic
universe@49 733
universe@49 734 mostlyclean: mostlyclean-recursive
universe@49 735
universe@49 736 mostlyclean-am: mostlyclean-generic
universe@49 737
universe@49 738 pdf: pdf-recursive
universe@49 739
universe@49 740 pdf-am:
universe@49 741
universe@49 742 ps: ps-recursive
universe@49 743
universe@49 744 ps-am:
universe@49 745
universe@49 746 uninstall-am:
universe@49 747
universe@49 748 .MAKE: $(am__recursive_targets) all install-am install-strip
universe@49 749
universe@49 750 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
universe@49 751 am--refresh check check-am clean clean-cscope clean-generic \
universe@49 752 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
universe@49 753 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
universe@49 754 distcheck distclean distclean-generic distclean-hdr \
universe@49 755 distclean-tags distcleancheck distdir distuninstallcheck dvi \
universe@49 756 dvi-am html html-am info info-am install install-am \
universe@49 757 install-data install-data-am install-dvi install-dvi-am \
universe@49 758 install-exec install-exec-am install-html install-html-am \
universe@49 759 install-info install-info-am install-man install-pdf \
universe@49 760 install-pdf-am install-ps install-ps-am install-strip \
universe@49 761 installcheck installcheck-am installdirs installdirs-am \
universe@49 762 maintainer-clean maintainer-clean-generic mostlyclean \
universe@49 763 mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
universe@49 764 uninstall-am
universe@49 765
universe@49 766
universe@49 767 # Tell versions [3.59,3.63) of GNU make to not export all variables.
universe@49 768 # Otherwise a system limit (for SysV at least) may be exceeded.
universe@49 769 .NOEXPORT:

mercurial